[lsb-discuss] Two-line patch to make ldd work with dash

Theodore Ts'o tytso at MIT.EDU
Fri May 23 08:22:06 PDT 2008


I found a fix for it here:

  http://sourceware.org/ml/glibc-bugs/2007-07/msg00015.html

... but Uhlrich rejected it with extreme prejudice since he only wants
to support bash.

						- Ted

--- /usr/bin/ldd	2007-10-24 21:02:51.000000000 -0400
+++ /tmp/ldd	2008-05-23 11:18:03.180617096 -0400
@@ -1,4 +1,4 @@
-#! /bin/bash
+#! /bin/dash
 # Copyright (C) 1996-2004, 2005, 2006, 2007 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
 
@@ -112,7 +112,8 @@
 # environments where the executed program might not have permissions
 # to write to the console/tty.  But only bash 3.x supports the pipefail
 # option, and we don't bother to handle the case for older bash versions.
-if set -o pipefail 2> /dev/null; then
+if (set -o pipefail) 2> /dev/null; then
+  set -o pipefail
   try_trace() {
     eval $add_env '"$@"' | cat
   }



More information about the lsb-discuss mailing list